%define major      0
%define libname    %mklibname %{name} %{major}
%define devel_name %mklibname %{name} -d

Name:       libopenrazer
Version:    0.4.0
Release:    %mkrel 1
Summary:    Qt wrapper around the D-Bus API from OpenRazer
Group:      System/Libraries
License:    GPL-3.0-or-later
URL:        https://github.com/z3ntu/libopenrazer
Source0:    https://github.com/z3ntu/libopenrazer/releases/download/v%{version}/libopenrazer-%{version}.tar.xz

BuildRequires: meson
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Xml)
BuildRequires: qttools6


%description
Qt wrapper around the D-Bus API from OpenRazer.

%package -n %{libname}
Summary:    Qt wrapper around the D-Bus API from OpenRazer
Group:      System/Libraries

%description -n %{libname}
Qt wrapper around the D-Bus API from OpenRazer.

%package -n %{devel_name}
Summary:    Development header files for %{name}
Group:      Development/Other
Requires:   %{libname} = %{version}-%{release}
Provides:   openrazer-devel = %{version}-%{release}

%description -n %{devel_name}
%{summary}.


%prep
%autosetup -n libopenrazer-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test


%files -n %{libname}
%{_libdir}/libopenrazer.so.%{major}{,.*}

%files -n %{devel_name}
%{_libdir}/libopenrazer.so
%{_libdir}/pkgconfig/libopenrazer.pc
%{_includedir}/libopenrazer*


%changelog
* Thu Jul 17 2025 daviddavid <daviddavid> 0.4.0-1.mga10
+ Revision: 2256743
- new version: 0.4.0
- switch to Qt6

* Sun Jun 29 2025 umeabot <umeabot> 0.2.0-3.mga10
+ Revision: 2222760
- Mageia 10 Mass Rebuild

* Sat May 18 2024 squidf <squidf> 0.2.0-2.mga10
+ Revision: 2064748
-Initial package for MGA inspired by openSUSE


* Sun Dec 3 2023 squidf <squid-f> 0.2.0-0.1
- Patch systemctl command

* Sat Dec 2 2023 squidf <squid-f> 0.2.0-0
- Initial Mageia package, based on OBS
